program Compiler;

{
  Inno Setup
  Copyright (C) 1998-99 Jordan Russell
  For conditions of distribution and use, see LICENSE.TXT.

  Compiler
}

uses
  WinProcs,
  WinTypes,
  SysUtils,
  Forms,
  CompForm in 'COMPFORM.PAS' {CompileForm},
  Compile in 'COMPILE.PAS',
  Struct in 'STRUCT.PAS',
  CmnFunc in 'CMNFUNC.PAS',
  CmnFunc2 in 'CMNFUNC2.PAS',
  CompMsgs in 'COMPMSGS.PAS';

{$IFDEF WIN32}
  {$R *.R32}
{$ELSE}
  {$R *.R16}
{$ENDIF}

procedure CheckParams;
  procedure Error;
  begin
    Application.MessageBox (SCompilerCommandLineHelp2, SCompilerFormCaption,
      MB_OK or MB_ICONEXCLAMATION);
    Halt (1);
  end;
var
  P, I: Integer;
  S: String;
begin
  P := ParamCount;
  if P <> 0 then begin
    for I := 1 to P do begin
      S := ParamStr(I);
      if CompareText(S, '/CC') = 0 then
        CommandLineCompile := True
      else
      if (S[1] = '/') or (CommandLineFilename <> '') then
        Error
      else
        CommandLineFilename := ExpandFileName(S);
    end;
  end;
  if CommandLineCompile and (CommandLineFilename = '') then
    Error;
end;

begin
  {$IFDEF WIN32}
  if Win32Platform = VER_PLATFORM_WIN32s then begin
    Application.MessageBox (SCompilerNotOnWin32s, nil, MB_OK or MB_ICONSTOP);
    Exit;
  end;
  {$ENDIF}
  CheckParams;

  { The 'with' is so that the Delphi IDE doesn't mess with these }
  with Application do begin
    Title := SCompilerFormCaption;
    HelpFile := ExtractFilePath(ParamStr(0)) + 'isetup.hlp';
  end;

  Application.CreateForm(TCompileForm, CompileForm);
  Application.Run;
end.
